* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
@keyframes bagsakEffect {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.title1,
.load {
  animation: bagsakEffect 0.8s ease-out forwards;
}
body {
  background: white;
}
header {
  background-color: #274a3f;
  width: 100%;
  height: 2rem;
  display: flex;
  align-items: center;
}
.upper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding: 0 5rem;
  box-sizing: border-box;
}
.s p {
  font-size: 0.8rem;
  font-family: poppins;
  color: white;
  margin: auto;
}
.s {
  display: flex;
  gap: 5rem;
}
.s1 {
  font-size: 0.8rem;
  font-family: poppins;
  font-weight: bold;
}
.s2 {
  display: flex;
  align-items: center;
  gap: 2rem;
  color: yellow;
}
.fa-brands.fa-facebook,
.fa-solid.fa-phone,
.aa {
  cursor: pointer;
  text-decoration: none;
  color: inherit;
  color: yellow;
}
span {
  color: white;
}
.vertical-line {
  border-left: 1px solid white;
  height: 2rem;
}

.header1 {
  display: flex;
  width: 100%;
  height: 7rem;
  background-color: white;
  padding: 0 5rem;
}
nav {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 0rem;
}
.logo {
  width: 6.8rem;
  height: 6.8rem;
}
.logo-name {
  font-size: 3rem;
  font-family: jolly lodger;
  color: #274a3f;
  font-weight: bold;
}
.s3 {
  display: flex;
  align-items: center;
  gap: 1rem;
}
ul {
  display: flex;
  list-style: none;
  gap: 3rem;
  font-size: 0.8rem;
  font-family: poppins;
}
ul li a {
  border-radius: 10px;
  padding: 0.5rem 0.7rem;
  font-size: 1rem;
  text-decoration: none;
  color: black;
  font-family: poppins;
  font-weight: bold;
  position: relative;
  z-index: 1;
}
.bg-trucks a {
  background-color: yellow;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
  padding: 0.5rem 0.7rem;
  border-radius: 10px;
  pointer-events: none;
}

ul li a::before {
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
  border-radius: 10px;
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background-color: yellow;
  z-index: -1;
  transition: width 0.3s ease;
}

ul li a:hover::before {
  width: 100%;
}
.book-link {
  text-decoration: none;
}
.book {
  border-radius: 10px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
  width: 12rem;
  height: 3.5rem;
  background-color: yellow;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.8rem;
  cursor: pointer;
  transition: 0.2s;
  padding-right: 4.5px;
}

.book-icon {
  font-size: 2rem;
  color: #274a3f;
  background-color: transparent;
}

.now {
  font-size: 1.2rem;
  font-family: poppins;
  font-weight: 800;
  color: black;
}

.book:hover {
  background-color: #274a3f;
}

.book:hover .book-icon {
  color: yellow;
}

.book:hover .now {
  color: white;
}
.background {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  line-height: 1;
  position: relative;
  width: 100%;
  height: 33vh;
  background: linear-gradient(
    267deg,
    rgba(39, 74, 63, 1) 0%,
    rgba(157, 173, 168, 1) 100%
  );
}
.bgpic {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: 50% 47.95%;
  opacity: 0.3;
}
.title1 {
  color: white;
  font-family: "poppins", sans-serif;
  font-size: 4rem;
  font-weight: bold;
  z-index: 2;
}
.load {
  color: white;
  font-family: Poly;
  font-style: italic;
  font-size: 2rem;
  z-index: 2;
}

.bg1 {
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
  margin: 2rem auto;
  width: calc(100% - 10rem);
  height: auto;
  min-height: 50rem;
  background: #274a3f;
  padding: 2rem 2rem;
  overflow: hidden;
}

.dropside {
  color: yellow;
  font-family: "poppins", sans-serif;
  font-size: 2.7rem;
  font-weight: bold;
  text-align: center;
}

.dropside-line {
  border: 0.1rem solid white;
  width: auto;
  margin: 2rem;
}

.carousel-wrapper {
  width: 100%;
  max-width: 1000px;
  margin: 20px auto;
  position: relative;
  padding-bottom: 30px;
}

input[type="radio"] {
  display: none;
}

.carousel-container {
  display: flex;
  width: 400%;
  transition: transform 0.7s cubic-bezier(0.77, 0, 0.175, 1);
  padding-left: calc(50% - 350px);
}

.slide {
  width: 700px;
  flex-shrink: 0;
  text-align: center;
  transition:
    transform 0.7s ease,
    opacity 0.7s ease;
  transform: scale(0.8);
  opacity: 0.2;
}

.slide img {
  width: 700px;
  height: 400px;
  object-fit: cover;
  border-radius: 25px;
  display: block;
  margin: 0 auto;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.5);
}

.title {
  font-size: 1.4rem;
  margin: 0;
  padding: 15px;
  font-weight: 600;
  color: white;
  opacity: 0;
  transition: 0.4s;
  font-family: "Poppins", sans-serif;
}

#slide1:checked ~ .carousel-container .slide1,
#slide2:checked ~ .carousel-container .slide2,
#slide3:checked ~ .carousel-container .slide3,
#slide4:checked ~ .carousel-container .slide4 {
  opacity: 1;
  transform: scale(1);
  z-index: 2;
}

#slide1:checked ~ .carousel-container .slide1 .title,
#slide2:checked ~ .carousel-container .slide2 .title,
#slide3:checked ~ .carousel-container .slide3 .title,
#slide4:checked ~ .carousel-container .slide4 .title {
  opacity: 1;
}

#slide1:checked ~ .carousel-container {
  transform: translateX(0);
}
#slide2:checked ~ .carousel-container {
  transform: translateX(-700px);
}
#slide3:checked ~ .carousel-container {
  transform: translateX(-1400px);
}
#slide4:checked ~ .carousel-container {
  transform: translateX(-2100px);
}

.fixed-nav {
  position: absolute;
  top: 42%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 820px;
  height: 50px;
  pointer-events: none;
  z-index: 100;
}

.btn-group {
  position: absolute;
  width: 100%;
  display: flex;
  justify-content: space-between;
  opacity: 0;
  visibility: hidden;
  transition: 0.4s;
}

.btn-group label {
  pointer-events: auto;
  width: 45px;
  height: 45px;
  background: yellow;
  color: #274a3f;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  font-size: 18px;
  font-weight: bold;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
  transition: 0.3s;
}

.btn-group label:hover {
  background: white;
  transform: scale(1.1);
}

#slide1:checked ~ .fixed-nav .btn1,
#slide2:checked ~ .fixed-nav .btn2,
#slide3:checked ~ .fixed-nav .btn3,
#slide4:checked ~ .fixed-nav .btn4 {
  opacity: 1;
  visibility: visible;
}

.dots {
  display: flex;
  justify-content: center;
  gap: 10px;
  margin-top: 30px;
}

.dots label {
  height: 12px;
  width: 12px;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.2);
  cursor: pointer;
  transition: 0.3s;
}

#slide1:checked ~ .dots label[for="slide1"],
#slide2:checked ~ .dots label[for="slide2"],
#slide3:checked ~ .dots label[for="slide3"],
#slide4:checked ~ .dots label[for="slide4"] {
  background: yellow;
  transform: scale(1.3);
}

.details-container {
  width: 100%;
  display: flex;
  justify-content: center;
  margin-top: 30px;
  position: relative;
  z-index: 5;
}

.details-btn {
  display: inline-block;
  padding: 12px 30px;
  background-color: yellow;
  color: #274a3f;
  text-decoration: none;
  font-family: "Poppins", sans-serif;
  font-weight: 800;
  font-size: 1rem;
  border-radius: 10px;
  transition: all 0.3s ease;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
  text-transform: uppercase;
}

.details-btn:hover {
  background-color: white;
  color: #274a3f;
  transform: translateY(-3px);
  box-shadow: 0 6px 20px rgba(0, 0, 0, 0.4);
}

.bg2 {
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
  margin: 5rem auto;
  width: calc(100% - 10rem);
  height: auto;
  min-height: 50rem;
  background: #274a3f;
  padding: 2rem 2rem;
  overflow: hidden;
}

#slideB1:checked ~ .carousel-container .slideB1,
#slideB2:checked ~ .carousel-container .slideB2,
#slideB3:checked ~ .carousel-container .slideB3,
#slideB4:checked ~ .carousel-container .slideB4 {
  opacity: 1;
  transform: scale(1);
  z-index: 2;
}

#slideB1:checked ~ .carousel-container .slideB1 .title,
#slideB2:checked ~ .carousel-container .slideB2 .title,
#slideB3:checked ~ .carousel-container .slideB3 .title,
#slideB4:checked ~ .carousel-container .slideB4 .title {
  opacity: 1;
}

#slideB1:checked ~ .carousel-container {
  transform: translateX(0);
}
#slideB2:checked ~ .carousel-container {
  transform: translateX(-700px);
}
#slideB3:checked ~ .carousel-container {
  transform: translateX(-1400px);
}
#slideB4:checked ~ .carousel-container {
  transform: translateX(-2100px);
}

#slideB1:checked ~ .fixed-nav .btnB1,
#slideB2:checked ~ .fixed-nav .btnB2,
#slideB3:checked ~ .fixed-nav .btnB3,
#slideB4:checked ~ .fixed-nav .btnB4 {
  opacity: 1;
  visibility: visible;
}

#slideB1:checked ~ .dots label[for="slideB1"],
#slideB2:checked ~ .dots label[for="slideB2"],
#slideB3:checked ~ .dots label[for="slideB3"],
#slideB4:checked ~ .dots label[for="slideB4"] {
  background: yellow;
  transform: scale(1.3);
}
.back-to-top {
  position: fixed;
  bottom: 30px;
  right: 16px;
  width: 50px;
  height: 50px;
  background-color: #274a3f;
  color: white;
  border: 2px solid white;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  font-size: 20px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
  z-index: 1000;
  transition: 0.3s;
}

.back-to-top:hover {
  background-color: #709487;
  transform: scale(1.1);
}

footer {
  margin-top: 20%;

  width: 100%;
  background-color: #274a3f;
  padding: 40px 0;
  font-family: "Poppins", sans-serif;
  color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  box-sizing: border-box;
}

.footer-logo-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 10px;
}

.footer-logo-img {
  width: 80px;
  border-radius: 50%;
  height: auto;
}

.footer-brand {
  font-size: 24px;
  font-weight: 700;
  margin-top: 10px;
  letter-spacing: 1px;
}

.footer-divider {
  width: auto;
  align-self: stretch;
  border: 0;
  border-top: 1px solid rgba(255, 255, 255, 0.2);
  margin: 30px 5rem;
}

.footer-info {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.footer-contact {
  display: flex;
  align-items: center;
  gap: 25px;
}

.contact-item {
  display: flex;
  align-items: center;
  gap: 10px;
  font-size: 16px;
}

.contact-item i {
  color: yellow;
  font-size: 20px;
}

.vertical-divider {
  width: 1px;
  height: 20px;
  background-color: rgba(255, 255, 255, 0.3);
}

.copyright {
  font-size: 14px;
  color: rgba(255, 255, 255, 0.6);
  margin-top: 10px;
}
